function [Segmented Clusters]=DSIterate(Segmented,B,C,D)


    tic
    
    
    Track=[0,1];
    j=1;
    while Track(end)~=Track(end-1)
        [Segmented, Clusters2]=DSNew(Segmented,B,C,D,0);
         Track(j)=length(Clusters2);
        j=j+1;
         plot(j,length(Clusters2),'r-o')
         drawnow
         hold on
         length(Clusters2)
         if length(Clusters2)<=5 % Setting the minimum number of clusters to 5
             break
         end
    end
    grid on
    ylabel('Number of Clusters')
    xlabel('Number of Iterations')
    title('DS Iterative Mode ON')
    Time=toc;
    Clusters=Clusters2;
    figure, imshow(Segmented), title(sprintf('Iterative Delaunay based unsupervised segmentation, excusion time: %s Sec, converged after %s iterations, Number of clusters = %s',num2str(Time),num2str(length(Track)),num2str(length(Clusters2)))), %colormap(hot)
    
